Bug 1353592 - Setup-ds.pl --update fails
Summary: Setup-ds.pl --update fails
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.3
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
Petr Bokoc
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-07 14:00 UTC by Punit Kundal
Modified: 2016-11-03 20:43 UTC (History)
3 users (show)

Fixed In Version: 389-ds-base-1.3.5.10-3.el7
Doc Type: No Doc Update
Doc Text:
This is a local regression. A fix for 7.3 introduced this issue and luckily found by the QE team. Doc is not needed.
Clone Of:
Environment:
Last Closed: 2016-11-03 20:43:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2594 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2016-11-03 12:11:08 UTC

Description Punit Kundal 2016-07-07 14:00:04 UTC
Description of problem:
Setup-ds.pl --update fails

Version-Release number of selected component (if applicable):
[root@localhost ~]# rpm -qa | grep 389
389-ds-base-libs-1.3.5.10-1.el7.x86_64
389-ds-base-1.3.5.10-1.el7.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Created a Standalone DS instance
2. Ran an Online update as below:
[root@localhost ~]# setup-ds.pl --update
 
==============================================================================
This program will update the 389 Directory Server.
 
It is recommended that you have "root" privilege to perform the update.
Tips for using this  program:
  - Press "Enter" to choose the default and go to the next screen
  - Type "Control-B" or the word "back" then "Enter" to go back to the previous screen
  - Type "Control-C" to cancel the update
 
Would you like to continue with update? [yes]: yes
 
==============================================================================
 
The update process can work in one of two modes:
 
  - Online: The changes are made to the running directory servers using LDAP.
            The operations must be performed as an administrative user.
            You must provide the name and password, for each instance
            if there is more than one instance of directory server.
            Some operations may require a directory server restart to take
            effect.  The update script will notify you if you need to restart
            the server.
 
  - Offline: The changes are made to the server configuration files.  The
             servers MUST FIRST BE SHUTDOWN BY YOU.  The script will not
             shutdown the servers for you.  You MUST shutdown the
             servers in order to use this mode.  A username and password
             are not required to use Offline mode.  If the servers are not
             shutdown, CHANGES WILL BE LOST.
 
To summarize:
  Online - servers remain running - you must provide admin name and password
           for each server - servers may need to be restarted
  Offline - servers must be shutdown - no username or password required
 
Which update mode do you want to use? [quit]: Online
==============================================================================
Please specify the authentication data for 'slapd-ds'
 
Full DN of administrative user [cn=Directory Manager]:
Password for this user: 


Actual results:
The update process failed as below

Error: not applying update /usr/share/dirsrv/updates/91reindex.pl. Error: syntax error at /usr/share/dirsrv/updates/91reindex.pl line 17, near ")
 
    my "
Compilation failed in require at (eval 29) line 1, <STDIN> line 4.
 
Error: not applying update '/usr/share/dirsrv/updates/91reindex.pl'.  Error: syntax error at /usr/share/dirsrv/updates/91reindex.pl line 17, near ")
 
    my "
Compilation failed in require at (eval 29) line 1, <STDIN> line 4.
 
Error: could not update the directory server.
Exiting . . .

Expected results:
Setup-ds.pl --update command should complete without any 
errors

Additional info:
Tried an Offline update as well and it failed too

Comment 1 Viktor Ashirov 2016-07-07 14:03:13 UTC
Looks like it was introduced by #48755

Comment 4 Punit Kundal 2016-07-12 08:52:36 UTC
RHEL:
RHEL 7.3 x86_64 Server

DS builds:
[0 root@qeos-247 ~]# rpm -qa | grep 389
389-ds-base-libs-1.3.5.10-3.el7.x86_64
389-ds-base-1.3.5.10-3.el7.x86_64
389-ds-base-snmp-1.3.5.10-3.el7.x86_64

Steps Performed:

1. Created a Standalone DS instance
2.Ran an online update as below:
[0 root@qeos-247 ~]# setup-ds.pl --update

==============================================================================
This program will update the 389 Directory Server.

It is recommended that you have "root" privilege to perform the update.
Tips for using this  program:
  - Press "Enter" to choose the default and go to the next screen
  - Type "Control-B" or the word "back" then "Enter" to go back to the previous screen
  - Type "Control-C" to cancel the update

Would you like to continue with update? [yes]: yes

==============================================================================

The update process can work in one of two modes:

  - Online: The changes are made to the running directory servers using LDAP.
            The operations must be performed as an administrative user.
            You must provide the name and password, for each instance
            if there is more than one instance of directory server.
            Some operations may require a directory server restart to take
            effect.  The update script will notify you if you need to restart
            the server.

  - Offline: The changes are made to the server configuration files.  The
             servers MUST FIRST BE SHUTDOWN BY YOU.  The script will not
             shutdown the servers for you.  You MUST shutdown the
             servers in order to use this mode.  A username and password
             are not required to use Offline mode.  If the servers are not
             shutdown, CHANGES WILL BE LOST.

To summarize:
  Online - servers remain running - you must provide admin name and password
           for each server - servers may need to be restarted
  Offline - servers must be shutdown - no username or password required

Which update mode do you want to use? [quit]: Online

==============================================================================
Please specify the authentication data for 'slapd-ds'

Full DN of administrative user [cn=Directory Manager]: 
Password for this user: 
Updating instance (slapd-ds)...
Successfully updated instance (slapd-ds).
Finished successful update of directory server.
Please restart your directory servers.

As can be seen above, the update completed successfully

Additional Info:
Tried an offline update too, it completed successfully as well.

Comment 6 errata-xmlrpc 2016-11-03 20:43:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2594.html


Note You need to log in before you can comment on or make changes to this bug.